Welcome to SeaBat UI Help

The help file is generated from the SeaBat UI User Manual as supplied with this version of the SeaBat UI.


Introduction

More:

SeaBat UI


SeaBat UI

This manual is the new user manual for the SeaBat UI.

Before the SeaBat UI will be explained how it works, a brief explanation is given how to setup the SeaBat UI and to start the sonar.

After this the general information will be discussed; how the panes are working and what the options are in the toolbar .

In the chapter Operation the operation mode of the SeaBat UI is discussed. The different panes that can be used in conjunction with the screens will be explained in detail.

In the last chapter Service the status of the complete sonar system; the temperature, voltage, communication status and other parameters is discussed with explaining the system diagram and how the operator can see the BITE information.

This manual is also available as help file in the SeaBat UI. Use F1 or [image] in the toolbar of the SeaBat UI to open the help file.


Quick Guide

More:

Introduction

Steps


Introduction

This chapter will give a brief explanation how to start the SeaBat UI, what is needed for using the SeaBat and how to improve the performance after the sonar is pinging.


Steps

a. Before the SeaBat UI can be started a valid license has to be installed in the 7KControlCenter. See the Operation Manual of the sonar how to install the license.

b. When the license is installed select in the 7KControlCenter the option New SeaBat UI and click on the Start button to open the SeaBat UI.

Selection and Start of New SeaBat UI

c. The SeaBat UI will open in the Operation mode with the four screens displayed and a normalization process will run indicated by a progress bar.

d. The external clock with 1PPS and the sound velocity probe have to be interfaced with the 7K system. This can be done in the IO Module.

e. For a roll and/or pitch stabilization the motion sensor has to be connected to the right port on the sonar system.
Enable in the hardware the roll stabilization and select the right settings.

f. When the 1PPS is coming in and the roll / pitch stabilization is working the sonar can be started.

g. Open the Main pane to start the sonar . Set the power and the gain to start the sonar pinging. Change the range so the data is properly displayed in the wedge.

h. Select the right frequency, pulse type and beam mode in the Advanced pane

i. When the sonar is pinging then in Service can be monitored if the complete sonar system is working.

j. To get a better bottom detection, select the Depth, Range or Adaptive gate in the Main pane.

k. Set the Tracker on to get a fully automated mode of the operation .

l. Before the recording of the sonar data can be started the record selection and the path for the recorded files have to set in the Recording pane.

m. Use the Display pane to set the right settings for the screens.


General Information

More:

Introduction

Arranging the Panes

SeaBat UI Toolbar

Screen Toolbar and Context Menu


Introduction

To setup and operate the SeaBat the SeaBat UI use:

· Panes. (See below)

· The SeaBat UI Toolbar .

· A screen toolbar and a Context menu .

This chapter discusses how the Panes are working, the different options of the toolbar and how the screen toolbar is working.


Arranging the Panes

The SeaBat UI uses tabs on the right side and at the bottom to open the settings panes, the control pane and the messages pane of the SeaBat UI.

More:

Panes


Panes

The settings panes on the right side are:

· [image] Display

· [image] Detection

· [image] Recording

· [image] Hardware

· [image] IO Module

· [image] Pipe

And the three panes at the bottom are:

· [image] Main

· [image] Advanced

· [image] Messages

In this chapter will be explained how the panes can be opened, docked, dragged and hided.

See chapter Operation for more information about the different panes.

More:

Opening and hiding Panes

Docking

Floating

Context Menu


Opening and hiding Panes

Move the pointer above a tab on the right side or bottom of the view and left-click to open the Pane. Move the pointer outside the Pane and left-click to hide the Pane again.

Display pane


Docking

Click on the pin [image] at the upper right corner of the pane, to avoid that the pane will hide. The pin will change to [image], the pane is docked (pinned) and will stay open even when the pointer is moved outside the pane and left-clicked. The pane is now in Docking mode. Click on [image] to undock the pane.

When the pane is closed after the pane is docked and undocked, the tab will be placed as last tab on the right side and as right tab on the bottom. So the order of the tabs will be changed by open and dock/undock the pane.

Display pane in Docking mode


Floating

When the pane is docked, double click on the title bar of the pane and it becomes a floating window (the pane is now in Floating mode). Press with the left mouse button on the title bar of the pane and it can be dragged over the screen. The pane becomes a floating window and can be docked to one of the sides of the view. Guide diamonds will appear when the window is dragged.

It is possible to move the floating window outside the frame of the SeaBat UI.

Floating window with the guide diamonds for the settings panes

The guide diamonds helps to re-dock the settings panes to the left or right side as displayed above and the Main, Advanced and Messages to the top or bottom of the view.

Dragged the floating window to one of the guide diamonds (f.i. ) and when the pointer (mouse cursor) is above the diamond, the location where the pane will be placed is highlighted. Release the mouse button and the pane will be docked to the highlighted location.

When now the pane is undocked it will hide and the tab for the pane will be placed on the side where the pane was placed.

When there are two or more floating windows it is possible to combine these windows. Move one of the windows over the other window and the guide diamonds appear. Select one of the options from the center guide diamond and the location of the window is highlighted in the other window. Select the option in the center of the center diamond and the two windows will become one window with two tabs at the bottom of the window. This last option is only valid for the settings panes.

Two windows combined with two tabs

Double click on the title bar of the combined window to make both windows docked panes again. It is also possible to check Docking in the context menu of the combined window. Both the panes will be docked to the side where they were docked before. If both panes were on the same side before only one pane with two tabs at the bottom will be available.

Uncheck the option Floating in the context menu in both the windows of the combined window, to make the windows floating again.


Context Menu

The different modes for the panes can also be set with the context menu. When a pane is open, click with the right mouse button in the pane/window and a context menu will be opened.

Context menus of the pane with in each menu a different mode selected

The first picture is the context menu when the pane is in the Auto Hide mode. Uncheck Auto Hide and the pane will come in the Docking mode.

The second picture is the context menu when the pane is in the Docking mode. Check Auto Hide or Floating to go to another mode.

The third picture is the context menu when the window is in the Floating mode. Check Docking to change the mode to the Docking mode. It is not possible to go from Floating direct to Auto Hide mode.


SeaBat UI Toolbar

Toolbar of the SeaBat UI

The SeaBat UI has on top a toolbar with several options. The items in the toolbar will be discussed from right to left.

More:

Application Settings Dialog

About Dialog

Licensed Features Dialog

Help File

Color Mode

Service Mode

Operation Mode

Save Snapshot

Start Record AVI

Start Record RDR

Start the Tracker

Pitch Stabilization

Roll Stabilization

1PPS

Normalization

BITE


Application Settings Dialog

Click on [image] to open the application settings dialog.

Application settings dialog

Language
Select the language that have to be used in the SeaBat UI. If a language is not or partly available the not translated text will be in English.
The SeaBat UI has to be restarted before the language change works.

Lay-out
When the layout is disturbed, check the checkbox to reset the layout and font size of the SeaBat UI.
The font size can be set to Small, Medium and Big and is only for the font in the panes.

Units
The unit for the depth and range in the Seabat UI can be set. At the moment only the unit Meters is available.

Sonar
Check the checkbox to reset the sonar.

Sonar
Check the checkbox to restore the factory settings of the sonar.

Sonar System
Shutdown – The software and firmware will be halted followed by a power shutdown.
Reboot – Reset the software and firmware.
Remote desktop – Start a Microsoft Remote Desktop session with the sonar computer.

All changes made in this dialog have effect after [image] is pressed.


About Dialog

Click on [image] to open the about dialog.

About SeaBat UI dialog


Licensed Features Dialog

Click on [image] to open the dialog.

Licensed Features dialog

The Licensed Features dialog displays the licenses of the feature packages as purchased by the user.


Help File

Click on [image] to open the help file. The help file can also be opened with F1.

The help file is a copy of this SeaBat UI User Manual.


Color Mode

Select in the combo box ( [image]) the color mode for the complete system.

With the color mode the light conditions for the screen(s) can be modified. The four different color modes are:

Normal
Standard light conditions.

Night
Less contrast and brightness; can be used during the night.

Twilight
Less contrast; can be used when there is a twilight condition.

Bright
Extra contrast and brightness; can be used when there is a sunshine light condition.

The different color modes are working fine in the Windows Classic Theme. In the Windows 7 Basic and Windows 7 Themes not all the items on the screen will be supported.


Service Mode

Click on Service [image] to open the view with the BITE system information. See for more information the chapter Service.


Operation Mode

Click on Operation [image] to open the view with the sonar data. See for more information the chapter Operation.


Save Snapshot

Click on Snapshot [image] to create an image of the application window.

The snapshot will be stored as a JPG with the filename yyyymmdd_hhmmss.jpg in the location as is defined in the Recording pane

The Save Snapshot option gives a proper screen shot in the Windows Classic Theme and in the Windows 7 Basic Theme. In the Windows 7 Theme the option does not give a good screen shot in the Operation mode.


Start Record AVI

Click on AVI [image] to start the AVI recording of the application window. During the recording the button [image] is changed to a green led indicator.

The recording will be stored as a AVI with the filename yyyymmdd_hhmmss.avi in the location as is defined in the Recording pane (see page ).

Click on the highlighted AVI [image] to stop the AVI recording and the green led indicator becomes the button again.

The AVI recording gives a good AVI in the Windows Classic Theme and in the Windows 7 Basic Theme. In the Windows 7 Theme the option does not support the screens from the Operation mode.


Start Record RDR

Click on RDR [image] to start the logging of the raw data. During the recording the button [image] is changed to a green led indicator.

The log file will be stored as a S7K file with the filename yyyymmdd_hhmmss.s7k in the location as defined in the Recording pane. Also in this pane the records can be selected which have to be recorded.

Click on the highlighted text ‘RDR’ to stop the logging and the green led indicator becomes a yellow/orange led, indicating that the logging is stopped but that a small buffer is logged to get all the information. The led will change to the button again after the buffer is logged.


Start the Tracker

Click on Tracker [image] to start the Tracker. When the Tracker is started the button [image] is changed to a green led indicator.

The Tracker is a fully automated mode of operation. All parameters, including range, gain, power and swath width are set by the system on the basis of the quality of the collected data. Once the Tracker has been selected, no further operator input is required.

Click on the highlighted text ‘Tracker’ to stop the Tracker and the green led indicator becomes the button again.


Pitch Stabilization

The led indicator will indicate if the pitch stabilization is on, off or gives an error. The different colors are:

· Blue – When the SeaBat UI is started the pitch stabilization is not yet initialized.

· Grey – The pitch stabilization is initialized but disabled in the Hardware Settings.

· Green – The pitch stabilization is enabled and working.

· Red – Error level – Possible error is : no attitude data received.

To enable/disable and to setup the pitch stabilization see Motion Stabilization.


Roll Stabilization

The led indicator will indicate if the roll stabilization is on, off or gives an error. The different colors are:

· Blue – When the SeaBat UI is started the roll stabilization is not yet initialized.

· Grey – The roll stabilization is initialized but disabled in the Hardware Settings.

· Green – The roll stabilization is enabled and working.

· Yellow/Orange – Warning level – The roll stabilization receives a roll value that exceeds ±15°.

· Red – Error level – Possible errors are : no attitude data received, roll value exceeds ±35° or change rate > 10° per second.

To enable/disable and to setup the roll stabilization see Motion Stabilization.


1PPS

The led indicator will indicate if the 1PPS is received or not. The different colors are:

· Blue – When the SeaBat UI is started the 1PPS is not yet initialized.

· Green – The 1PPS is working.

· Yellow/Orange – Warning level – No 1PPS received for a couple of seconds.

· Red – Error level – No 1PPS received anymore.


Normalization

The led indicator will indicate if the Normalization is done or not. The different colors are:

· Blue – When the SeaBat UI is started the Normalization is not yet initialized.

· Grey – The Normalization is not done.

· Green – The Normalization is done.

· Yellow/Orange – The Normalization is busy; at this moment the normalization takes place.

· Red – Error level – The Normalization has failed.

In the Hardware Settings the status of the Normalization can be monitored.


BITE

The led indicator will indicate if the BITE information gives errors in the Service. The different colors are:

· Blue – When the SeaBat UI is started the BITE information is not yet available.

· Green – No errors in the BITE information, all components are working.

· Red – Error level – Errors, warnings or timeouts in one or more components. Check the diagram in the Service for more information.


Screen Toolbar and Context Menu

When the pointer is moved to the top left side of each individual screen a toolbar wills automatically popup. This toolbar automatically hides when the pointer is moved out of this top left area.

Toolbar in one of the views pops up automatically.

Functions of the screen toolbar are also available in a context menu. Right click in the screen and the context menu wills popup. This toolbar and context menu could be used to adjust the properties of the screen. See chapter Operation for more details.


Operation

More:

Introduction

Main

Advanced

Messages

IO Module

Detection

Display

Recording

Hardware

Pipe

Screens


Introduction

When the SeaBat UI is started, the SeaBat UI will open in the Operation mode with four screens or only these screens that were open when the SeaBat UI was closed before.

Seabat UI with four screens.

In this chapter the different panes and the four screens will be discussed.

With the main and advanced pane (accessible by the tabs at the bottom of the SeaBat UI) the sonar can be controlled and with the settings in the settings panes (accessible by the tabs at the right side of the SeaBat UI) the sonar data can be presented.

The different panes are:

· [image] Main
With the Main pane the operator can control the sonar and can set the layout of the Operation by selecting which screens will be opened.

· [image] Messages
The Messages pane displays the error message as they are received in the SeaBat UI.

· [image] Advanced
In the Advanced pane the operator can set advanced sonar settings.

· [image] IO Module
In the IO Module the sensor data can be selected and interfaced into the 7K system.

· [image] Detection
In the Gates pane the different gate settings (Absolute or Adaptive) for the bottom detection process can be defined.

· [image] Display
In the Display pane the operator can customize the visual properties of the screens of the Operation.

· [image] Recording
In the Recording pane the operator can selected which data is recorded and the recording information is displayed.

· [image] Hardware
In the Hardware pane the operator can setup the roll and/or pitch stabilization and can setup for a dual head system.

· [image] Pipe In the pipe pane the operator can setup the settings for the pipe detection and tracking.

How the tabs can be opened and how the panes can be moved in the application is explained in chapter Arranging the Panes.

The different screens are:

· Wedge

· Water Column

· Detect

· Sidescan

· Snippets

· Helmsman


Main

The Main pane [image] is for general control of the sonar and by selecting which screens (Wedge, Sidescan/Helmsman, Water Column/Detect and Snippets) will be opened, it can set the layout of the operation mode display.

Main Pane with Control and Tile settings.

More:

Range

Power

Gain

Pulse Length

Gate

Tile


Range

The range setting allows the operator to select how far the SeaBat will ‘see’.

Range

Select the appropriate range scale to keep the image of the bottom detection at or above the widest part of the sonar wedge

Left is a proper range setting and right an incorrect range setting


Power

The power setting allows the operator to increase or decrease the amount of power (acoustic energy) that is transmitted into the water.

Power

If the power is set to OFF, the system will not ping, but it will continue to receive data provided that the (ping) rate is not set to 0. The sonar system will act as a passive sonar by only receiving data. This is a feature that is very useful for monitoring the ambient noise and interference from the vessel itself.


Gain

The gain setting allows the operator to select the amount of receiver gain that is applied to the returned sonar signal, in addition to the calculated gain. The gain is applied throughout the range as a fixed gain value.

Gain

The sonar system utilizes a Time-Varied Gain (TVG) by applying a variable gain to the signal, based upon the formula :

Receiver Gain = 2 α Rkm + Sp log Rm + G

Where:
α = Absorption loss in dB/km
Sp = Spreading loss coefficient
Rkm = Range in kilometers
Rm = Range in meters
G = Extra gain as set in the Control pane

For more information about this formula see Absorption and Spreading.

For some sonar systems the gain can be switched to the Fixed mode. The normal mode is TVG and Fixed mode can be used for very short ranges (<10m).


Pulse Length

The pulse length setting allows the operator to change the pulse length of the transmitted signal.

Pulse Length

For a given power setting, a narrower pulse length will provide a higher resolution at a shorter range. A wider pulse length will provide better range but a lower resolution image.

In certain conditions, for example in turbid waters, the narrower pulse length may not operate well. In such circumstances, the wider pulse length may give better short-range performance. This may also be achieved by changing from higher to lower frequency operation.


Gate

The operator is able to switch on/off the required gate mode(s). By default they are switched off. If selected the Gate mode button is highlighted.

Gate modes with Depth gate selected (highlighted)

There are three gate modes:

· Depth

· Range

· Adaptive

Settings for the different gate modes are set in the Detection pane. See Detection


Tile

In the Tile – Screen box the different screens can be switched on/off. By default all four the screens are on. When a screen is on the button is highlighted.

Tile with Wedge, Water Column and snippets screen switched on (button highlited) but Sidescan screen off (button greyed )

The Wedge and Water Column/Detect screens are always on the left side of the view and the Sidescan/Helsman and Snippets always on the right side. If only one of the two screens on one side is open, then that screen will use the complete left or right side of the view. The Water Column/Detect button has three functions: switching on the Water Column screen, switching on the Detect screen or switching off both. The Sidescan/Helsman button has three functions: switching on the Sidescan screen, switching on the Helsman screen or switching both off.

The size of the screens can be modified by dragging the horizontal or vertical divider up/down or left/right. To drag the divider move the cursor over the divider and the cursor becomes a double arrow indicating in which direction the divider can be moved.
The horizontal divider can be moved up/down separately for the left and the right side. Double click on the horizontal divider for the left or right side and the other half of the horizontal divider will jump to the same level.
The crossing of the horizontal and vertical divider can be moved by dragging the crossing over the screen. Move the cursor over the crossing and the cursor becomes a cross with arrows indicating in which directions the crossing can be moved.

Double arrow and cross to resize screens


Advanced

The Advanced pane [image] is for the advanced settings of sonar transmit and receive functions.

Advanced Controls

More:

Beam Mode

(Horizontal) Steering

Coverage Angle

(Ping) Max Rate

Frequency

Beam width

Pulse Type

Absorption

Spreading

Sound Velocity

SVP Filter


Beam Mode

The beam mode can be switched on the fly. For the beam mode the following modes can be selected:

Equi-Angle
In equi-Angle mode the spacing between the beams is equiangular. The beam center-center angular spacing is constant across the swath.
In areas of significant relief and in particular when surveying features such as wrecks and vertical structures such as harbor walls, Equi-Angle should be used in preference to Best Coverage (see also Best Coverage). When the ‘Custom’ checkbox is ticked the number of beams can be set by the operator.

This allows the operator to be able to capture the highest detail using the highest beam density needed. In very shallow water less beams can be used to reduce data volumes.

Custom checkbox ticked to set the number of beams

Intermediate
Is made for a general purpose survey operations and provides high-density soundings over the entire swath using the maximum number of beams. When the ‘Custom’ checkbox is ticked the number of beams can be set by the operator.

Custom checkbox ticked to set the number of beams

Equi-distant
Gives equally spaced soundings across the entire swath using the maximum number of beams.
The spacing between the beams is equidistant. With Equi-distant the spacing is modified to maintain an equal horizontal distance between soundings on the seafloor assuming a flat bottom.
It is recommended that Best Coverage be used for general survey applications where the requirement to achieve a specific number of sounding per cell in the across-track is critical, or where the seafloor is generally flat.
In extreme conditions, using Equi-distant over complex structures can cause magnified artifacts due to the large overlap between beams towards the edge of the sector. When the ‘custom’ checkbox is ticked the number of beams can be set by the operator.

Custom checkbox ticked to set the number of beams

When additional to the custom checkbox the ‘Constant spacing’ checkbox is ticked, the spacing distance between de beams can be set.

Flexmode
Gives a combination of a high density of beams on and around the object location and a reduced density of soundings for the rest of the swath.

Illustration of the flexmode

The low density spacing distance between the beams is defined by the operator by setting the outside spacing with the slide bar (see below)

Setting the Outside spacing

The high density spacing is set by the slides in the wedge. This slides become visible in the wedge when the Flexmode is selected. Drag the slides and the high density spacing changes.

Slides in the wedge to change the high density spacing


(Horizontal) Steering

Steering

The (horizontal) steering setting allows the operator to steer the swath electronically.

The achievable steering depends on the selected coverage angle.

With the button Default [image] the steering and coverage angle will be reset; the steering to 0.

The extent of the steering is determined by the coverage angle selected. The limitation is that the outer beam cannot be steered past 5° from the horizontal. When the swath is steered this way, the individual beam widths increase with the steering angle. A beam steered at 60° is twice the width of a beam steered at 0°.

With a swath of 120° the maximum steering is ±25° (85°-(120°/2))

With a swath of 60° the maximum steering is ±55° (85°-(60°/2))


Coverage Angle

The (coverage) angle allows the operator to change the swath width.

Coverage Angle

With the button Default [image] the coverage angle and horizontal steering will be reset; the coverage angle to the maximum angle depending on the selected beam mode.


(Ping) Max Rate

The max (ping) rate setting allows the operator to set the number of pings per seconds. The actual number of pings depends on the current range setting.

(Ping) Max Rate

The normal value for the ping rate is the maximum rate to be sure that always the highest possible ping rate, depending on the range setting, can be achieved.

In some instances it may be beneficial to force a lower ping rate than the normal rate associated with a particular range. Examples of this would be instances when the vessel is moving at a very slow rate, and the operator wants to reduce the quantity of data that is generated; or when the sonar is operating in a high-reverb environment where echoes of the previous ping are contaminating the current ping.


Frequency

For a dual-frequency system, the frequency setting allows the operator to switch the frequency on the fly without restarting the 7K Center. All sonar controls will then be dedicated to the selected frequency.

Frequency

The addition of the dual-frequency system is that the lower frequency provide a long-range functionality and the higher frequency a high-resolution functionality with a shorter range.


Beam width

For some sonar types (e.g. the 7160) it is possible to change the along track width of the beam.

Beam Width


Pulse Type

The pulse type setting allows the operator to choose between CW (Continuous Wave) and FM (Frequency Modulation).

Pulse type

The possibility to choose CW or FM depends on the sonar system.

The pulse type CW uses a frequency with a continuous wave centered around the selected frequency.

The pulse type FM uses a frequency modulation within a frequency range that is for instance for 200kHz 185-215kHz and for 400kHz 381-411kHz. The system will search for the frequency to use that have the least disturbance.

An echo sounder with a frequency of 210kHz will disturb the sonar signal with a pulse type CW at 200kHz, while the pulse type FM has no or very little disturbance from the echo sounder.


Absorption

The absorption allows the operator to enter the amount of loss that is expected through the ambient water medium. The absorption loss is proportional with the salinity of the water and the sound frequency: the higher the salinity or frequency, the greater the loss. Also an increased temperature will increase the absorption loss.

If the exact absorption loss value is not known, a value of 110dB/km for salt water and 70dB/km for fresh water is recommended for a 400kHz operation, and a value of 50dB/km for salt water and 20dB/km for fresh water is recommended for a 200kHz operation.

This value is used in conjunction with the spreading loss coefficient to compute the TVG (time varied gain) curve that is applied to the returned signal.

Absorption


Spreading

The spreading allows the operator to enter the amount of cylindrical and spherical spreading loss that is expected through the ambient water medium. Spreading of sound through water may be the greatest contributor to the loss of sound. As sound moves away from its source in all directions, the acoustic pressures will decrease with the range.

This value is used in conjunction with the absorption loss value to compute the TVG (time varied gain) curve that is applied to the returned signal.

In practical situations the transmission loss will lie between 20 and 40dB; in other words, the spreading loss will neither be perfectly spherical nor perfectly cylindrical. Finally, if the sonar operates very close to the seabed or very close to objects in general, near-field effects may yield a transmission loss less than 20dB.

If the exact spreading loss value is not known, an initial value of 30dB is recommended.

Spreading


Sound Velocity

When the override checkbox is checked, the sound velocity slider allows the operator to enter a value for speed of sound in the water.

When a sound velocity sensor is interfaced and the override checkbox is not checked the sound velocity value as displayed will be the value as received from the sensor.

Sound velocity with Override checkbox

An online sound velocity must be used for providing up-to-date velocities to ensure optimum performance. A manual velocity may be entered instead but care should be taken to ensure the value entered is representative of the real velocity.


SVP Filter

The data from the external sound velocity probe (SVP) can be filtered. The sonar used the value from the sound velocity probe to present the data in the wedge. When there are spikes in the data from the sound velocity probe the display of the sonar data will be disturbed. The SVP filter will filter these spikes out of the data. From a light filter (option Light) to normal and a strong filter (option Wizard).

Sound velocity with Filter set to Normal


Messages

In the Messages pane [image] the operator can see the error messages related to the sensor interfacing.

Messages

All the error messages will be displayed in the Messages list. By accepting an error message it will be removed from the list. This will not mean that the error is solved, but that only the message is removed.

Select an error message and click on [image] to remove the selected error message from the list. Click on [image] to remove all error messages.


IO Module

In the IO Module pane [image] the different sensors (such as the sound velocity probe and the external clock) can be interfaced with the IO Module. The data acquired by the IO Module is routed to the SeaBat in real time to allow for accurate time stamping and Beamforming.

IO Module pane

Accuracy of the bathymetric data depends entirely on a valid time sync and sound velocity input from the IO Module. In the absence of time sync, a software time stamp is employed. However, this usually results in poor data quality, as the time stamp is applied AFTER the last sample is received. In the absence of online sound velocity input, the input as set in the Advanced Control is used instead.

If data has to be logged in the S7K file, it is advisable to log the position, heading and attitude as well. This can be done by interfacing these sensors in the IO Module. If PDS2000 is used as acquisition system select in PDS2000 the ‘R7k-IOmodule’ driver as output and PDS2000 outputs the data to the IO Module. The advantage of using PDS2000 is then that the operator doesn’t have to select the position, heading and attitude in the IO Module Settings pane, the interfacing is done automatically and is not visible in the IO Module.

To setup or make changes, click in front of the device the [image] symbol to make the setup page of the device visible. Click in a field (eg ‘Driver Name’) to make a drop-down list active. Press the arrow [image] at the end of the field to make a list displayed. Click on the required field to select the applicable driver or parameter.

.

Clicked in the ‘Driver Name’ field of the Attitude device to have the attitude driver list available

In the I/O pane also the Input distribution (RRIO) is listed. This is not a device as the other listed items are. The ‘Input distribution (Reson Remote I/O)’ can be used when the operator wants to send one of the this different device data to another system, like an acquisition computer,

Enter as Destination Address the IP Address or computer name followed with ‘:’ and a port number; for instance: ‘10.4.1.28:1000’.

The port number is the base port and offset of the base port, depending of the source of the message. Currently this is for:

· VRU Base port (e.g. 2020)

· Position System. Base port + 2 (e.g. 2022)

· Compass Base. port + 4 (e.g. 2024)

· Sound Velocity. Base port + 6 (e.g. 2026)

· External Clock. Base port + 8 (e.g. 2028)

· Pan and Tilt. Base port + 10 (e.g. 2030)

Input Distribution

More:

Sound Velocity

Clock

Attitude

Position

Heading

Pan and Tilt


Sound Velocity

To achieve correct beam steering in equidistant mode, the sonar needs to have an up-to-date online sound velocity measurement from the water in the area of the sonar head. The sound velocity must always be selected in the IO Module, even if PDS2000 or a different acquisition system is used. Set the associated settings for the connected sound velocity device.


Clock

To achieve correct time stamping of transmitted pulses it is necessary to send time to the sonar processor. The SeaBat uses the GPS PPS system to achieve this. From the GPS receiver, the SeaBat needs the TTL 1PPS pulse and the qualifying time message (normally ZDA). The clock synchronization must always be entered in the IO Module.

If the 1PPS is not detected during the sonar operation, the led indicator in the toolbar changes from green to yellow/orange to red and in the Service page in the Status tab the error is displayed. Set the associated settings for the connected external clock device.


Attitude

Select the associated settings for the attitude sensor when connected to the SeaBat Processor.

Use the Hardware Pane (see Hardware ) to setup the attitude sensor used for the motion stabilization of the sonar.


Position

Select the associated settings for the GPS position sensor when connected to the SeaBat processor


Heading

Select the associated settings for the heading sensor when connected to the SeaBat processor


Pan and Tilt

Select the associated settings for the Pan and tilt sensor when connected to the SeaBat Processor.

Pan and tilt is used when the mounting angles of the sonar can be changed mechanically These angles can be interfaced to the SeaBat.


Detection

In the Detection pane the parameters for the gates as selected in the Main pane (see Main pane ) are defined. These gate modes are:

· Depth gate

· Range gate

· Adaptive gate

Further more parameters can be defined for the

· Tracker

· Coverage angle

· And Multi-detect mode

Detection pane

The minimum difference between the minimum and maximum gate value is defined on 2m. When one of the gate values is set closer than 2m from the other gate value, the other gate value will change to get a difference of 2m again. This is also valid when one of the gate values is dragged in the Wedge screen.

More:

Depth Gate

Range Gate

Adaptive Gate

Tracker

Coverage angle

Multi-detect


Depth Gate

The depth gate will use the minimum and maximum depth values as entered. Only the bottom returns which are within these depth limits will be used in the bottom detection process. Additional a depth gate tilt value can be set

Depth gate

The minimum and maximum gate values can also manually be moved in the Wedge screen by dragging them with the mouse.

Wedge with depth gates displayed.

When the maximum depth gate is out of range of the wedge and therefore not displayed it is most easy to move the pointer at the outer nadir range of the wedge, click (pointer becomes a double arrow) and drag it inside the wedge. On this way the maximum depth gate is moved inside the range of the wedge as illustrated below.

Wedge with maximum depth gate not displayed. Pointer moved to Nadir outer range of wedge and maximum depth gate dragged back into the wedge.

In case a maximum gate is dragged outside of the wedge range the gate will get the maximum value. (For the depth gate 400m)

Use of a motion sensor is required to rotate the depth gates with the rolling motion of the vessel to ensure soundings are not clipped as the seabed rotates with respect to the sonar.

The depth gate tilt can be used when the seafloor is tilting. Click on the value and use the slider to rotate the depth gate to match with the tilt of the seafloor.

Depth gate with a depth gate tilt of 0° (left) and 15° (right)


Range Gate

Range Gate

The range gate will use the minimum and maximum range values as entered. Only the bottom returns which are within these limits will be used in the bottom detection process.

The minimum and maximum gate values can also manually be moved in the Wedge screen by dragging them with the mouse as the depth gate. (See depth gate)


Adaptive Gate

Adaptive gate parameters

The adaptive gate will use the minimum and maximum nadir depth values as entered. It will search for the strongest bottom return from the nadir beam based on the window size.

When the Follow seafloor checkbox is ticked and the minimum or maximum nadir depth values approach the nadir search limits, the nadir search gate will automatically center the nadir search on the detected seafloor

The nadir search limits can manually be moved in the Wedge screen by dragging them with the mouse.

The window size is used to define the gate limits around the detected seafloor. The distance between the limits and the detected seafloor is the percentage of the detected bottom depth value. The percentage is the value as entered as window size. Increasing the window size will make the search area bigger so the chance of noise increases. Decreasing the window size with a non-flat seabed will result in a degraded performance.


Tracker

The Tracker function is enabled or disabled in the SeaBat UI toolbar. )

Tracker

With the tracker the sonar can set based on the quality of the collected data automatically:

· Range

· Power, gain and absorption

· Pulse length

By ticking the associated checkbox it is defined which setting(s) is automatically set by the tracker.


Coverage angle

Coverage angle

Additional settings could also set by the tracker automatically

When the coverage angle Enable checkbox is ticked the tracker is able to set the coverage angle of the sonar automatically.

When the ‘fixed swath width’ checkbox is ticked the sonar can keep automatically the swath width as set in the Swath width field independed if the depth or other circumstances changes.


Multi-detect

Multi-detect

The Multi-detect is an algorithm for real time detection of objects in the water column as well as the seafloor beneath.

More details from complex targets and improved data in a multipath environment (like a quay wall) could be achieved.

For this algorithm three parameters are defined:

· Max detections per beam. (minimum 1 – maximum 5)

· Amplitude sensitivity. When increasing this value causes more objects be detected.

· Object sensitivity. Increasing this value results in more detections on smaller objects.


Display

In the Display pane the operator can customize the visual properties for the four screens in the Operation.

Only the selected screen(s) as set in the main pane are displayed in the display pane.

Display pane

Display pane with Detect and Water Column settings

In the Display pane are for each screen settings available to setup the screen. For the Wedge, Water Column and Detect screen most of the settings are also available in the context menu of these screens (see for more information Screens on page 35).

The Wedge, Water Column and Detect screen have next to the general settings several layers with data which can be displayed in the screen. Each of these layers can be switched on/off and have their own settings for color and font size. Each of these layers can be switched on/off.


Recording

In the Recording pane the operator can selected which data is recorded and the information related to the recording is displayed.

In the SeaBat UI toolbar (See SeaBat UI toolbar ) raw data recording, AVI screen recording or saving a snapshot is started with one of the buttons.

Recording pane

The operator can set the paths for the files of the recording, AVI recording and the snapshot by clicking in the ‘path’ field followed by the ‘…’ as indicated below.

Set path for the file.

A folder dialog box will open.

When one of the records is started the filename will be displayed. The last recorded filename stays always displayed in the pane.

For all three files the file name has the format ‘yyyymmdd_hhmmss.xxx’; with xxx is s7k for RDR, avi for the AVI recording and jpg for the snapshot.

More:

Raw data Record Selection

Status


Raw data Record Selection

Record selection

In the record selection the operator can select or unselect by ticking or unticking the checkbox(es) which data is recorded. Next to the standard data records extra data records can be recorded.

The standard data records are:

§ 7000 – Ping settings

§ 7004 – Beam geometry

§ 7006 – Bathymetry (legacy)

§ 7011 – Compressed image data

§ 7017 – Bathymetry (for UI display)

§ 7027 – Bathymetry (RAW)

§ 7503 – Sonar settings

The extra records are:

Snippets:

§ 7028 – Snippets data

Side scan:

§ 7007 – Backscatter data

Sensor data (motion, position, heading, etc.):

§ 1003 – Position

§ 1012 – Attitude (Roll, Pitch and Heave)

§ 1013 – Heading

§ 7610 – Sound Velocity

Watercolumn (includes sensor data):

§ 7018 – Full Magnitude & Phase data

Troubleshooting (includes watercolumn data):

§ 7021 – BITE data

Other:

§ All other available records
When the checkbox is ticked the record numbers will be displayed at the bottom of the pane in the info box.

The sensor data can only be recorded when these sensors are interfaced with the sonar system. This can be done in the IO Module. An alternative is that the position, attitude and heading are send by PDS2000 to the IO Module. Then only the external clock with 1PPS and the sound velocity has to be interface in the IO Module.


Status

Status raw data recording

The Status displayed the status of the Raw Data Recording with the current file size of the recording file and the number of records that are added to the recording file.

Hover the pointer over the selected records field will display all the logged records, as selected in the record selection.

With increased range and/or ping rates, the recording files will become quickly very large. It is best to monitor the file sizes and ensure that 10% of the disk space is always left available for system operation. Therefore it is advisable to record the data on a separate hard disk and not on C:\.


Hardware

In the Hardware the operator can setup the following:

· Motion Stabilization

· PPS Configuration

· Trigger Configuration

· Ping Settings

· Bracket

· Normalization details

· Dual Head

On top of the Hardware pane the sonar IP Address has to be set. Select from the available IP Addresses on the local network the one that is valid for the sonar. In the selection the IP Address of the local system gets the text ‘(local)’ behind the IP Address.

Hardware part where the sonar IP Address can be selected

More:

Motion Stabilization

PPS Configuration

Trigger Configuration

Ping Settings

Dual Head

Bracket

Normalization


Motion Stabilization

Hardware part for the Motion Stabilization

The roll and pitch stabilization is only available when it is defined in the xml file of the sonar. It is possible that only the roll or pitch stabilization is available this depends on the type of the sonar. Only the available stabilization(s) will be displayed in the hardware settings.

It is recommended that the motion sensor data update rate is at least 50Hz and preferably 100Hz. Baud rate and protocol details can be set in the Motion Stabilization, but it should be ensured that the baud rate is sufficient to allow the desired update rate. The motion sensor data for the motion stabilization is read directly from the FPGA, so no port has to be selected.

More:

Roll Stabilization

Pitch Stabilization


Roll Stabilization

Roll stabilization is an important feature related directly to system efficiency which allows the swath width on the seafloor to be maximized, thus increasing line spacing and reducing vessel time.

Under zero roll conditions, the swath is vertical and the center of the swath is directly below the vessel.

Swath under zero roll conditions

When the vessel rolls the swath is rotated and the projected swath on the seafloor is laterally displaced.

Laterally displaced swaths under roll conditions

This has the effect of reducing the usable swath width due to the distortions on the edge.

Reduced usable swath width

With the input from a motion sensor (and roll stabilization enabled) to steer each receive beam dynamically for every sample, the swath stays vertical irrespective of vessel motion thereby maximizing swath.

Swath under roll stabilization


Pitch Stabilization

Pitch stabilization is a feature which allows the swaths to look vertical when the vessel is pitching.

Under zero pitch conditions, the swath is vertical and directly below the vessel. With a pitch the swath is moved forwards/backward relative to the vertical. It is possible that the swath projection on the seafloor is not in order anymore.

To solve this problem the transmitted beam can be dynamically steered so the swath stays vertical.

It depends on the type of sonar if the pitch stabilization is available.


PPS Configuration

Hardware part for the PPS Configuration

By default the SeaBat system accepts positively polarized (Rising edge) 1PPS pulses to perform accurate time stamping.

Select Falling when a negative polarized 1PPS is used.


Trigger Configuration

Hardware part for the Trigger Configuration

The Trigger Configuration allows the operator to control the pulse length and delay characteristics.

When the trigger input is enabled (Active) the ping will occur upon receipt of the input trigger pulse. If the trigger pulse rate exceeds the sonar’s actual maximum ping rate for that range setting, some trigger input pulses may be dropped.
When the trigger input is disabled the sonar will return to ping at the rate dictated by the settings in the main and advanced Control pane.

By default the trigger output is enable (Active). This means that a pulse will be generated in conjunction with the sonar ping.

Example of trigger output with Delay = 0 and Pulse length = 1

The Delay allows the operator to specify how many milliseconds after the sonar ping the output pulse will be sent.

The Pulse length allows the operator to change the pulse length of the transmitted output signal.


Ping Settings

Hardware part for the Ping Settings

The Ping Settings will give the sweep frequency for the pulse type FM.

Settings can only be changed when the pulse type FM is selected in the advanced pane.


Dual Head

Hardware part for the Dual Head

Hardware part for the Dual head with the Slave connected and Offsets for Master and Slave

To increase coverage, two complete sonar systems can be used. One is designated ‘Master’ and the other ‘Slave’.

The master processor dictates when the slave sonar will cycle, this means most of the settings from the ‘Master’ are mirrored on the ‘Slave’. This is achieved through a network connection.

In the Dual Head section the available local area connections on the 7K system will be displayed.

Example of displayed local area connections.

Select for the ‘Slave address’ an IP number which is in range with one of the local area connections. Make a network connection between the two ports and tick the ‘Connect’ checkbox to establish a connection with the slave.

Connect checkbox ticked

The 7K system which enables the connection will become the ‘Master’ and the other system automatically the ‘Slave’. This will be visible as the ‘Mode’.

When the system is in ‘Master’ mode the Tracker button will be disabled.

The master and slave X,Y and Z offset must be filled in the field with respect to the vessel reference point.

Before the 7K system is set in dual head mode the pulse type of both sonars should be the same. When the system is in dual head mode with the pulse type CW the sonars go in ‘ping pong’ mode, while with pulse type is FM the sonars are in continuous mode. The FM transmission combined with advanced signal processing techniques extracts the maximum possible performance from the system.

The ‘Master’ can trigger the ‘Slave’ by a trigger cable between both systems. In the ‘Master’ the cable should be connected in the Trigger Out connector and in the ‘Slave’ in the Trigger In connector. The systems are synchronized and can ping simultaneously at a high ping rate.

When a dual head system is setup (the slave address should be known) it is possible to run 2 SeaBat UI’s on the same (‘Master’) system. The second SeaBat UI that is started will be automatically the SeaBat UI for the ‘Slave’. In the second SeaBat UI the ‘Slave’ system can be controlled (accept the Range and Max Rate) and the IO Module for the ‘Slave’ system can be setup or modified. The 7KCentre should be running on the ‘Slave’ before data becomes visible in the second SeaBat UI.

When a dual head system is setup with the SeaBat UI running on the ‘Master’ system both sonar wedges can be monitored in the Wedge screen (see page 21). Most of the settings in the main and advanced pane will be valid for both sonars.


Bracket

Hardware Configuration for the active frequency

The Bracket Configuration controls the one-time transmit array and projector offset settings. These settings should be set to reflect the initial installation of the system and should not require a modification unless the physical installation changes.

Select for the active frequency the right configuration.

The configuration is selected by a drop down-list after clicking in the configuration field.

Bracket configuration drop-down list

Only for the custom configuration the operator can set the X, Y and Z offsets.

See also the SeaBat Operate Manual for more bracket details.

A wrong bracket configuration may adversely affect data quality.


Normalization

Normalization Details for the active frequency

The normalization process starts automatically on initial power up of the system, but may also be initiated at any time by the operator.

The channel normalization feature provides a method for correcting the output of each analogue receiver channel for minor variations in amplitude and phase prior to input to the beamformer to improve data quality. This is achieved by injecting a highly stable calibration tone into each analogue receiver channel and comparing the output of each channel to the average values for all the channels. This produces a much ‘cleaner’ input to the beamformer thereby reducing side lobes and improving performance.

The data output is suspended while the normalization process is running (yellow light indicator). In certain conditions the normalization may fail due to excessive noise or out-of-tolerance channels.

Only for the active frequency the normalization can be started by checking the option ‘Normalize’. The time and the status of the normalization is displayed. During the normalization the led indicator in the SeaBat toolbar will turn yellow, when the normalization is finished and the process was successful the led indicator becomes green again.


Pipe

In the Pipe pane the operator can set the settings for the pipe detection and tracking. The following section are available:

· Pipe in sway detections (see below)

· Pipe parts creation (see page 24)

· Pipe route creation (see page 24)

· Pipe steering (see page 24)

· Five points environment (see page 24)

On top of the Pipe pane the pipe detection can be switched on/off by checking or unchecking the Enable checkbox.

The pipe gating can be switched on/off by checking or unchecking the Pipe gating checkbox.

Checkboxes for enable/disable pipe detection and tracking.

More:

Pipe in Sway Detections

Pipe Parts Creation

Pipe Route Creation

Pipe Steering

Five Points Environment


Pipe in Sway Detections

Pipe in sway detections parameters

The detections in a sway are done in a pipe window that goes from beam to beam through the sway data. The pipe window is a window with the width of the pipe diameter plus a margin that is placed over the ping to find the best detection.

With these pipe detection parameters, beams will be discarded as noise and from the beams in the sway that are not discarded the best detection will become the pipe detection in the sway.

Pipe detect diameter
The diameter of the pipe that has to be detected.
If more pipes have to be detected it is better to enter the pipe diameter of the biggest pipe to be sure that this pipe can be detected. When the other pipe is 10-20% smaller it will still be detected.

Maximum free span filter
Detections that are higher than the ‘Maximum Free Span Filter’ above the seafloor are discarded as noise.

Detection threshold filter
Detections that are lower than the ‘Detected threshold filter’ above the seafloor are discarded as noise.
With an irregular seafloor and a small ‘Detected threshold filter’ more detections will be found that have no relation to a pipe route, but it also can result in that more detections are found on the pipe.
With a good value for the ‘Detected threshold filter’ almost all the detections are on the pipe.
When the value becomes too small also a lot of detections are found that are not on the pipe. This can result in that also pipe parts are found that actually are not pipes.

Statistic threshold filter
In the pipe window a mean Z is calculated with a standard deviation.
For each beam a ΔZ (= Mean Z – Beam Z) is calculated. The beams in the pipe window with a smaller ΔZ than the ‘Statistic threshold filter’ * ‘Standard Deviation Pipe Window’ are discarded as noise.
This is a pipe detection confidence level as a numerical value correspending with a procentual discard level; 1 means 68% of the beams in the pipe window are discarded as noise, 2 means 95%.

Filter brightness
When checked the multibeam data with poor brightness will be ignored for the pipe detection.

Filter colinearity
When checked the multibeam data with poor colinearity will be ignored for the pipe detection.


Pipe Parts Creation

Pipe parts creation parameters

Pipe parts are pipe detections in a patch of 25 pings that will be joined together as a possible part of the pipe.

Pipe segment length
This length defines how many points will be outputted to the pipe route. Basically two points per pipe segment; the center point and a connecting point defined by two connecting segments. When a pipe segment is the start, the end or next to a gap of the pipe route an additional point will be added to the route.
The ‘Pipe segment length’ has also an impact on the length of the pipe parts.

Maximum detection distance
When the detection is further away from the last detection/prediction than the ‘Maximum detection distance’, the detection will not be added to the pipe part.
Increasing this value allows detections further away, from the already tracked pipe part, to be added to the pipe part.
‘Maximum detection distance’ should not be taken literal. This value is combined with the distance between pings and the local distance between beams on a ping to limit adding detections which are too far away from the tracked pipe part.

Maximum number of predictions
This value defines how many predictions are allowed to be added sequential to a tracked pipe part.
Increasing this value allows pipe tracking to pass over more pings which do not have detections that fit the tracked pipe part.

Quality test
The detection quality is the number of detections in the pipe part. The more detections the better the quality of the pipe part, the more predictions the worse the quality of the pipe part. The Quality is a number between 0 and 1, where 0 is bad to 1 is good (only detections).
Also the ratio predictions/detections is part of the quality figure.

Depth test
When a tracked pipe part has an average distance to the sea floor smaller than this ‘Depth’ value it will not be used in pipe routing.

Number of detections test
When the number of detections, in a tracked pipe part, is less than this ‘Detections’ value, the pipe part will not be used for the pipe routing.
The maximum value to enter is the patch size (=25 pings).


Pipe Route Creation

Pipe route creation parameters

From the found pipe parts a pipe route can be generated.

Maximum pipe parts used in routing
Maximum valid pipe parts that will pass to the pipe routing.
When a patch (25 pings) is processed several pipe parts are tracked, qualified and filtered. When for example 6 valid pipe parts are detected in a patch and ‘Maximum pipe parts used in routing’ is set to 3 only the best three pipe parts are passed to the pipe routing computation.

Join segments test
When the distance between two pipe routes is shorter than the ‘Gap length’ the two pipe routes will become one pipe route.


Pipe Steering

Pipe steering parameters

At the start the Steering mode has to be set, Horizontal or Flex steering. The settings for the steering will not be changed during the time of the Steering delay. This delay is defined as the number of patches of 25 pings. At the moment the size of the patch cannot be modified. For instance, if the ‘Steering delay’ is set on 5 then the SeaBat UI will wait until the 5*25 pings is surveyed before, if necessary, the settings for the horizontal or flex steering are changed.

The setting for the steering is changed by the SeaBat UI when the difference (in degrees) between the horizontal steering or angle of the flex steering and the angle of the detected pipe in PDS2000 is more than the Steering difference.

When more pipes or pipe parts are detected the SeaBat UI will take an average of the pipe (parts) positions to calculate a steering angle. The pipe with the best quality of detections will have a bigger weight in the average calculation. With this situation it is possible that the steering is not always on the main pipe which has to be tracked.

When horizontal steering is selected the SeaBat UI will change the horizon steering in the RESON SeaBat 7k sonar when the SeaBat UI calculates that it is needed.

When flex steering is selected the SeaBat UI will change the angle of the center beam of the flex mode in the RESON SeaBat 7k sonar when the SeaBat UI calculates that it is needed. The width of the flex mode and the settings of the flex mode will not be changed.


Five Points Environment

Five points environment settings

When the pipe is detected 5 point on and around the pipe will be computed and outputted to generate a basic profile of the seafloor with the pipe.

The five points are the top of pipe, the seafloor on both sides of the pipe (as close as possible to the pipe) and the seafloor on both sides further away from the pipe (maximum sample offset).

Environment sample width
A window over the multibeam data in which an average is computed for the seafloor detections.

Maximum sample offset
The distance from the top of pipe to the seafloor detection away from the pipe.


Screens

In the Operation mode four different screens can be displayed. Two screens display the bathymetry data as a wegde and water column or detection screen. One screen is for the sidescan data or Helsman. And one screen is for the snippets data. In this chapter the four different screens will be discussed.

Screens.

The screens can be switched on/off in the Main pane (Tile settings )

More:

Screen Toolbar

Screen Context Menu

Zoom Functions

Wedge

Water Column

Detect

Sidescan

Snippets

Helmsman


Screen Toolbar

All four screens have a toolbar that becomes visible when the cursor is moved over the top left part of each screen. When a screen is too narrow for the toolbar, move over the left side of the screen and the toolbar will be displayed at the left side.

Toolbar Wedge screen

In the toolbar quickly screen related parameters can be set by the operator as also done in the Display pane.


Screen Context Menu

The options in the screen toolbar are also available in the context menu of the screen. In the context menu are besides of the toolbar options extra options available.

The context menu can be opened with a right mouse click in the screen.

Context menu Wedge screen

The relevant options of the screens, and for some screens the extra options, are also available in the Display pane.


Zoom Functions

Several ways can be used to zoom in, zoom out or zoom extends in a display:

· By the mouse wheel. Click at the mouse wheel for the zoom extends function

· By the screen Toolbar. (Only zoom extends for the Wedge and Water column/Detect screen)

· By the Context menu

· By the ‘+’ and ‘-‘ key at the numeric keypad of a keyboard.


Wedge

The wedge screen shows the bathymetry data as a complete swath illuminated by a single transmitted ping.

Wedge screen with beam data color mode on Quality

Current information of the sonar data is shown in the upper left corner of the screen. This information can be switched off by unticking the ‘info layer’ checkbox in the display pane.

At the lower right corner the legend for the multibeam data color mode(Fixed, Quality, Detection Process and Uncertainty) is shown. This legend (Data Layer) can also be switched on/off in the Display pane (Multibeam Data Color).

With the option Show History in the Display pane the history of the multibeam data can be displayed in the wedge screen.

Wedge screen with history, swath shift left and swath spacing 0

In the Display the length of the history, the direction how the history is displayed (Swath Shift) and the distance between the swaths (Swath Spacing) can be set.

For a SeaBat UI with two sonars in dual head mode both sonar wedges can be displayed.

Wedge screen with 2 sonars in dual head mode

When pressing ‘M’ at the keyboard a distance measurement function becomes active. Click in the wedge and drag the pointer to a point to be measured.

Deactivate the measurement function by pressing ‘M’ again.

Distance Measurement function.


Water Column

The Water Column screen shows the complete water column for the selected beam.

Water Column screen with the selected beam over a wreck

The beam can be selected with the [image] from the toolbar in the Wedge screen or in the Display pane as one of the items for the Water Column (see page 14).


Detect

The Detect screen shows the bathymetry data of a single swath with different beam data color modes. The swath will be displayed in the zoom extents mode, the vertical scale is enlarged to see the details in the swath much better.

Detect screen with one swath

At the lower right corner the legend for the multibeam data color mode(Fixed, Quality, Detection Process and Uncertainty) is shown. This legend (Data Layer) cannot be switched off in the Display.

The grid lines (Grid Layer) can be switched on/off in the Display pane.


Sidescan

The Sidescan screen shows an image of the seafloor which can be used to locate and identify features and bottom conditions. Each sonar ping is used to generate a line of data. Each line contains a series of amplitudes representing the signal return versus time or range. When a series of these lines is combined and displayed as the vessel moves along the track, a two-dimensional image is formed, providing a detailed picture of the bottom along either side of the vessel.

The sidescan data can be viewed on a waterfall display representing the results of a peak-detect search through the left and right beams of the swath.

Sidescan screen

By default the scaling of the data is set on Auto Scaling. Deactivate the Auto button in the toolbar and the operator can manually set the threshold, gain and TVG for the picture in the Sidescan screen.

Side-scan cannot be used to accurately measure true depths, but it can provide a more detailed picture of the seafloor. This image can be used together with bathymetry to identify features and to help ensure that the survey does not miss any small but significant targets.


Snippets

The Snippets screen shows the backscatter data in a waterfall display.

Snippets screen

By default the scaling of the data is set on Auto Scaling. Deactivate the Auto button [image] in the toolbar and the operator can manually set the threshold, gain and TVG for the picture in the Snippets screen.

A snippets data sample contains corrected backscatter data from the ‘footprint’ on the seabed illuminated by a single sonar ping. The number of snippets in a swath is a function of the number of sonar beams. The length of each snippet depends on the operating mode, beam number, and depth.

Snippets data

Each snippets data packet contains pertinent information such as time stamp, sequential ping number, sample rate, sound velocity, and operator settings such as power, gain, absorption, and range scale.


Helmsman

The helmsman screen is used in combination with the pipe detection functionality as navigation guidance for the operator (e.g. ROV pilot). It displays the pipe detection and the pipe route relative to the the position of the sonar. Properties of the Helmsman layer are set in the Display pane.

A warning distance can be set in the Display pane to generate an indicator when the distance between the sonar and the pipe detection exceeds the warning distance as set.

Helmsman screen with warning distance indication (In this example when the distance exceeds 4 meters)


Service

More:

Introduction

Diagram

Information


Introduction

The Service view in the SeaBat UI monitors the status of the complete sonar system; the temperature, voltage, communication status and other parameters. With the diagram of the sonar system it will be easy to check if each part of the system is working fine and the related BITE (Built-In Test Environment) information will be displayed. The operator can see very quickly if for instance a component, wire or pin is the cause of an error or warning.

The Service view is selected in the SeaBat UI Toolbar.

In this chapter will be explained how the user can go through the different option to monitor the system or, if necessary, to find the reason for the error.


Diagram

Diagram in the Service of a SeaBat SV2

When the service view is selected in the SeaBat UI Toolbar a diagram is displayed. In the diagram the operator can see directly if the complete sonar system is working fine. All the components, wires and pins should be in blue or green. The difference in color is only to indicate that for the green (and red) components and pins BITE (Build In Test Environment Information) is available.

For each item displayed in the diagram (BITE) information is available. Click on the item in the diagram and the available information will be displayed on the right side in the tab Details.

When an error is detected in one of the green components or pins it will turn red.

Module in error (red), 7KCenter correct (green)

The error message will be displayed in the tab Status. When the error is a timeout the component will be red, but no information will be displayed in the Status.


Information

The available information of the sonar system is displayed on the right side in the Service. The different types of information will be ordered under several tabs:

Service tabs

· Status
In the Status page the errors with the relevant information are displayed.

· Details
In the Details page the BITE information of the selected component, wire or pin in the diagram is displayed.

· Config
In the Config page the preconfigured settings and the serial/version numbers for the software and firmware of the installed sonar system is displayed.

· IO Module QC (see page 6)
In the IO Module QC page the different devices that are interfaced through the IO Module pane will be displayed.

· BITE File
In the BITE File page the contents of the BITE file is displayed. This page is only available after the keystroke ‘Ctrl+B’.

More:

Status

Details

IO Module QC


Status

In the Status page the errors or warning of the system are displayed. When no error or warning occurs this page will be empty.

When errors occur then for each part of the sonar system that is in error a message will be displayed in the Status page. Below an example of some messages is displayed.

Example of error messages in the Status page

The messages in the Status page can be an error (red light) or a warning (yellow light). When one of the errors or warnings is solved the light becomes green and the message will stay in the list until the solved messages are removed with [image].

The error or warning message will also be displayed in the related BITE information in the Details page.

Next to the item that is in error more information in the message is available to assist the operator to solve the problem. The possible cause of the error or warning, the effect of the problem on the system and a hint are available for the operator to understand the problem.

With [image] the list of messages can be cleared. If there are still errors or warnings a new list with messages will be created in the Status page.

Use [image] to save all information of all tabs along with the diagram to a HTML file.The name of the file will contain the timestamp so successive files won’t overwrite each other.


Details

In the Details page the BITE information of the selected component, wire or pin in the diagram will be displayed. With the keystroke ‘Ctrl+B’ for some items in the diagram more information becomes available.

On top of the page the name of the selected component, wire or pin with the unique ID is given. Below this the available BITE information is displayed with the actual value or status for each item. Between brackets the accepted range for each item is displayed.

Example of available information, here Charger, in the Details page

When an error or warning occur for one of these items a message will be displayed in the Status page. In the Details page the information is also updated as is shown above.

The error status for each item has an internal error status which is incremented when there is an error and decremented if not. When there are many errors close to each other in time, the error status will increment above 1 and the status goes to ‘Error’. After a while with few or no errors the error status will crawl down and come below 1, the status goes back to ‘Ok’. The tolerance to the errors and the time errors are remembered are controlled by the ‘min’ and ‘max’. So for the error counters the min and max are not just limits used for comparison.

Example of timed outs in the Charger

When the error message is a time out it means that for a specific number of seconds no information is received from the system.

The BITE file for all the information displayed in the Details page is made for the Virtex6 hardware. Therefore the Virtex6 items in the Details page will all be zero when Virtex2 hardware is used. The operator should ignore the Virtex6 information when Virtex2 hardware is used.


IO Module QC

In the IO Module QC page the data from the different devices as interfaced in the IO Module will be displayed.

IO Module QC page with good heading data

For each device the data string is unpacked and the data is displayed as it is received from the 7k center through the IO Module.

When from one of the devices the data is not coming properly then the led of the BITE in the toolbar of the SeaBat UI will be become red. An example of not receiving data in the IO Module is displayed below.

IO Module QC page with a timeout on the attitude data

In the top the raw data as received in the IO Module is displayed. This will be the data strings of all the data that is received on the different ports. When in the IO Module pane for the Input Distribution an destination address is entered (see page) all the data as displayed in the Raw Data Messages will be outputted.


beam mode

It will depend on the license which beam modes are available.


combine

It is not possible to combine a Settings pane with the Main, Advanced or Messages pane.


Docking

It is also possible to use the context menu of the pane to go from auto hide to docking and back.


flex mode

The Flex mode has to be selected in the RESON SeaBat 7k, before the flex steering can work.


Floating

It is also possible to use the context menu of the pane to go from docking to floating and back.


information

With ‘Ctrl+B’ extra BITE information of the selected item becomes available in the Details and Config page.


roll stabilization

The roll stabilization is only available in the toolbar when it is defined in the xml file.


steering

To achieve a correct beam steering in equidistance mode the sonar needs an up-to-date online sound velocity measurement.